Freeciv-3.3: Data Fields - Variables

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all variables with links to the structures/unions they belong to:

### - m -

- m_animate_step : hud_input_box, hud_message_box, hud_text, progress_bar
- m_instance : fc_font, fc_icons, fc_shortcuts, qdef_act, units_reports
- m_timer : hud_battle_log, hud_input_box, hud_message_box, hud_text, progress_bar
- magic : inputfile
- main : named_sprites
- main_continent : unit_hud_selector
- main_form : spaceship_dialog
- main_intro_filename : tileset
- main_label : science_report
- main_layout : fc_shortcuts_dialog, hud_battle_log, hud_units, option_dialog, races_dialog, ruledit_gui, unit_hud_selector
- main_wdg : fc_client
- main_widget : help_widget, inputline_toolkit
- main_widget_list : option_dialog
- maintext : sdl2_data, sdl3_data
- major_version : packet_server_info, packet_server_join_req
- make_att_veteran : packet_unit_combat_info
- make_def_veteran : packet_unit_combat_info
- male : ruler_title
- male_angry : city_icon
- male_content : city_icon
- male_happy : city_icon
- male_title : packet_ruleset_government_ruler_title
- male_unhappy : city_icon
- map : img, overview, part, pf_parameter, sdl2_data, sdl3_data, world
- map_alloc : ai_type
- map_canvas : city_dialog, sdl2_data, sdl3_data
- map_canvas_size_refresh : gui_funcs
- map_canvas_store_unscaled : city_dialog
- map_font_scale : fc_client
- map_free : ai_type
- map_icon : theme_icons
- map_pixmap : canvas
- map_ready : ai_type
- map_scale : fc_client
- map_x0 : overview
- map_y0 : overview
- maparg : mapdef
- mapimg_filename : client_options
- mapimg_format : client_options
- mapimg_layer : client_options
- mapimg_zoom : client_options
- mapsize : civ_map, img
- mapview_wdg : fc_client
- mark_dirty : widget
- martial_law : city
- mask : named_sprites
- mass : packet_spaceship_info, player_spaceship
- match : drawing_data::drawing_layer, nation_group
- match_count : tileset::tileset_layer
- match_index : drawing_data::drawing_layer
- match_indices : drawing_data::drawing_layer
- match_style : drawing_data::drawing_layer
- match_types : tileset::tileset_layer
- max : act_prob, client_option, hmove, pbar_data, range, rates_move, scroll_bar, server_option, trait_limits
- max_defense_mp_bonus_pct : unit_type
- max_distance : action, packet_ruleset_action
- max_growth : cm_parameter
- max_num_cities : adv_data
- max_players : civ_game, pregame_options
- max_rates : fc_double_edge
- max_row : eco_report
- max_size : civ_game
- max_state : player_diplstate
- max_tile_units : universals_u
- max_turns : pf_reverse_map
- max_upkeep_height : tileset
- max_val : packet_server_setting_int
- max_value : setting
- maxbuycost : player_ai
- maxconnectionsperhost : civ_game
- maximum : option
- maxX : map_landmass
- maxY : map_landmass
- mc : DataFilter
- mcity : city_map, city_production_model
- mcost : edit_terrain
- meet_but : plr_report
- mem : fz_FILE_s, netfile_write_cb_data
- memory : fz_FILE_s
- menu : uvb_data, worklist_data
- menu0 : Diplomacy_dialog
- menu1 : Diplomacy_dialog
- menu_bar : fc_client
- menu_click : map_view
- menu_entry : menu_entry_option_map
- menu_list : mr_menu
- menu_pos : menu_entry_option_map
- menu_size : worklist_data
- mesg_table : messagewdg
- message : packet_authentication_req, packet_chat_msg, packet_chat_msg_req, packet_connect_msg, packet_early_chat_msg, packet_server_join_reply, server, version_message_event
- message_area : luaconsole_data
- message_buffer : luaconsole_data
- messages_status : mr_menu
- meta_accelerators : client_options
- meta_info : civ_game
- meta_scan_timer : fc_client
- metaconnection_persistent : server_arguments
- metaserver_addr : server_arguments
- metaserver_no_send : server_arguments
- metaserver_port : server_arguments
- method : fz_FILE_s
- mfg : player_score
- mgr_distance : civ_game
- mgr_foodneeded : civ_game
- mgr_nationchance : civ_game
- mgr_score_calc_turn : city
- mgr_turninterval : civ_game
- mgr_worldchance : civ_game
- middle : unit_node
- middleground : named_sprites
- migrate_fullscreen : client_options
- migration : civ_game
- migration_score : city
- military_base : editor_sprites
- min : act_prob, client_option, hmove, range, rates_move, scroll_bar, server_option, trait_limits
- min_cities : universals_u
- min_city_center_output : packet_game_info
- min_distance : action, packet_ruleset_action
- min_hit_points : universals_u
- min_luxury : cm_state
- min_players : civ_game
- min_production : cm_state
- min_speed : packet_ruleset_unit_class, unit_class
- min_start_native_area : packet_ruleset_terrain_control
- min_tech_cost : packet_game_info
- min_techs : universals_u
- min_trade_route_val : packet_game_info
- min_val : packet_server_setting_int
- min_value : setting, start_filter_data
- mincalfrag : universals_u
- minculture : universals_u
- minforeignpct : universals_u
- mini_height : minimap_thread
- mini_width : minimap_thread
- minimal_surplus : cm_parameter, cma_dialog
- minimap_height : fc_settings
- minimap_status : mr_menu
- minimap_width : fc_settings
- minimap_x : fc_settings
- minimap_y : fc_settings
- minimapview_wdg : fc_client
- minimum : option
- minimum_turns : multiplier, packet_ruleset_multiplier
- mining_shield_incr : packet_ruleset_terrain, terrain
- mining_time : packet_ruleset_terrain, terrain
- miniview : city_map
- minmoves : universals_u
- minor_version : packet_server_info, packet_server_join_req
- minsize : universals_u
- minus : scale_widget
- minveteran : universals_u
- minX : map_landmass
- minY : map_landmass
- minyear : universals_u
- misc : city_dialog, ruledit_gui
- missile_platform : unit_type_ai
- mod : ai_trait, fc_shortcut, widget
- mode : editor_tool, fz_FILE_s, option_dialog
- mode_buttons : editbar
- mode_image : editinfobox
- mode_label : editinfobox
- mode_pic : editinfobox
- model : ITree
- modpack : packet_ruleset_select
- modpack_name : modpack_cache_item
- module_close : ai_type
- modules : packet_spaceship_info, player_spaceship
- mood : packet_player_info, player
- more : units_select
- mouse : fc_shortcut
- mouse_x : fc_double_edge
- move_bonus : packet_ruleset_game, packet_ruleset_unit, veteran_level
- move_cost : packet_ruleset_road, road_type
- move_fragments : packet_ruleset_terrain_control
- move_mode : packet_ruleset_road, road_type
- move_rate : edit_utype, packet_ruleset_unit, pf_parameter, unit_type
- move_scope : pf_danger_node, pf_fuel_node, pf_normal_node
- move_type : unit_class
- moved : fc_double_edge, move, packet_edit_unit, unit
- movement : animation
- movement_cost : packet_ruleset_terrain, terrain
- mover : animation
- moves_actor : action
- moves_left : packet_edit_unit, pf_fuel_node, pf_fuel_pos, pf_position, unit
- moves_left_initially : pf_parameter
- moves_left_req : pf_fuel_node
- movesleft : packet_unit_info
- moving : unit
- moving_now : qfc_dialog
- mp_button : effect_edit
- mplist_table : mpgui
- mpr_list : tab_multiplier
- mr_idler : fc_client
- msg : msg_data
- msg_callback : mpqt_worker
- msg_dspl : mpgui, ruledit_gui
- msglist : texai_msgs
- msgs_to : texai_thr
- msgtab : message_dlg
- msgwdg : fc_client, info_tab
- mtime : fileinfo
- mult : hud_input_box, hud_message_box
- multip_count : packet_player_info
- multiplayer_menu : mr_menu
- multiplier : effect, loaddata, packet_player_info, packet_ruleset_effect
- multiplier_changed : packet_player_info
- multiplier_target : packet_player_info
- multipliers : packet_player_multiplier, player, ruledit_gui
- multiresearch : civ_game
- music_combat : music_style, packet_ruleset_music
- music_peaceful : music_style, packet_ruleset_music
- music_style : packet_player_info, player
- must_free : propval
- mutex : genlist, minimap_thread, srv_list, texai_msgs
- mutexes : civ_game
- muuk_food_wipe : packet_game_info
- muuk_gold_wipe : packet_game_info
- muuk_shield_wipe : packet_game_info
- mw : fc_corner, hud_battle_log, hud_units, info_tab
- my_name : fix_enabler_item